function translateText() {
    let text = document.getElementById("input").value;

    text = text + " ";

    text = text.toLowerCase();
    text = text.replaceAll("ü", "u");
    text = text.replaceAll("ö", "o");
    text = text.replaceAll("ä", "e");
    text = text.replaceAll("ß", "s");
    text = text.replaceAll("sch", "s");
    text = text.replaceAll("ch", "c");
    text = text.replaceAll("au", "u");
    text = text.replaceAll("ei", "EI");
    text = text.replaceAll("eu", "EU");
    text = text.replaceAll("sp", "p");
    text = text.replaceAll("st", "t");
    text = text.replaceAll("pf", "f");

    let permute = "";
    for (let i = 0; i < text.length; i++) {
        c = text.charAt(i);
        switch (c) {
            case 'a': c = 'e'; break;
            case 'f': c = 'v'; break;
            case 'k': c = 'c'; break;
            case 'p': c = 'b'; break;
            case 'q': c = 'k'; break;
            case 't': c = 'd'; break;
            case 'w': c = 'v'; break;
            case 'x': c = 'k'; break;
            case 'y': c = 'u'; break;
            case 'z': c = 's'; break;
            case '?': c = ' '; break;
            case '.': c = ' '; break;
            case '!': c = ' '; break;
        }
        permute += c;
    }
    text = permute;

    let letters = [
        "a", "b", "c", "d", "e", "f",
        "g", "h", "i", "j", "k", "l",
        "m", "n", "o", "p", "q", "r",
        "s", "t", "u", "v", "w", "x",
        "y", "z"];

    for (let i = 0; i < letters.length; i++) {
        text = text.replaceAll(letters[i] + letters[i], letters[i]);
    }

    text = text.replaceAll("r ", "RE ");
    text = text.replaceAll("e ", "ER ");
    text = text.replaceAll("a ", "AR ");
    text = text.replaceAll("d ", "DE ");
    text = text.replaceAll("l ", "LE ");
    text = text.replaceAll("m ", "MER ");
    text = text.replaceAll("n ", "NE ");
    text = text.replaceAll("s ", "SA ");

    text = text.replaceAll("ie", "IA");
    text = text.replaceAll("h", "");

    text = text.replaceAll("EI", "a");
    text = text.replaceAll("EU", "o");

    text = text.toLowerCase();

    document.getElementById("output").innerHTML = text;
}
